Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366889 - [abrt] WARNING: CPU: 2 PID: 1638 at drivers/gpu/drm/i915/intel_display.c:13451 intel_atomic_commit+0x1555/0x1610 [i915]
Summary: [abrt] WARNING: CPU: 2 PID: 1638 at drivers/gpu/drm/i915/intel_display.c:1345...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:dd39f1d9fb07fa0923112b5381a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-14 08:37 UTC by Heiko Adams
Modified: 2017-08-08 16:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:32:46 UTC


Attachments (Terms of Use)
File: dmesg (deleted)
2016-08-14 08:37 UTC, Heiko Adams
no flags Details

Description Heiko Adams 2016-08-14 08:37:07 UTC
Additional info:
reporter:       libreport-2.7.2
WARNING: CPU: 2 PID: 1638 at drivers/gpu/drm/i915/intel_display.c:13451 intel_atomic_commit+0x1555/0x1610 [i915]
WARN_ON(!lret)
Modules linked in:
 thinkpad_acpi(-) rfcomm fuse md4 nls_utf8 cifs dns_resolver fscache nf_conntrack_sane nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_REJECT nf_reject_ipv6 xt_conntrack ip6t_rpfilter ccm ip_set nfnetlink ebtable_broute bridge stp llc ebtable_nat ip6table_raw ip6table_mangle ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 iptable_raw iptable_mangle iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables bnep uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core videodev media btusb btrtl btbcm btintel bluetooth snd_hda_codec_realtek snd_hda_codec_generic arc4 iwldvm coretemp mac80211 sparse_keymap snd_hda_intel snd_hda_codec kvm_intel snd_hda_core
 snd_hwdep kvm snd_seq irqbypass iTCO_wdt iTCO_vendor_support acpi_als kfifo_buf iwlwifi snd_seq_device industrialio cfg80211 snd_pcm snd_timer snd shpchp classmate_laptop wmi rfkill mei_me mei intel_ips soundcore i2c_i801 lpc_ich acpi_cpufreq tpm_tis nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_logitech_hidpp i915 hid_logitech_dj crc32c_intel serio_raw i2c_algo_bit drm_kms_helper drm atl1e fjes video ecryptfs encrypted_keys trusted tpm
CPU: 2 PID: 1638 Comm: Xorg Not tainted 4.6.5-300.fc24.x86_64 #1
Hardware name: PEGATRON CORP. Spring Peak/To be filled by O.E.M., BIOS Spring Peak 151X  0900 07/12/2010
 0000000000000286 00000000d6a5b47f ffff8800b4ea3af8 ffffffff813dbcef
 ffff8800b4ea3b48 0000000000000000 ffff8800b4ea3b38 ffffffff810a741b
 0000348b00000286 0000000000000000 0000000000000000 ffff880036511000
Call Trace:
 [<ffffffff813dbcef>] dump_stack+0x63/0x84
 [<ffffffff810a741b>] __warn+0xcb/0xf0
 [<ffffffff810a749f>] warn_slowpath_fmt+0x5f/0x80
 [<ffffffff810ea993>] ? finish_wait+0x53/0x70
 [<ffffffffc01c6295>] intel_atomic_commit+0x1555/0x1610 [i915]
 [<ffffffff810eabf0>] ? prepare_to_wait_event+0xf0/0xf0
 [<ffffffffc0086137>] ? drm_atomic_set_crtc_for_connector+0x57/0xe0 [drm]
 [<ffffffffc0086eb7>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffc00def2a>] drm_atomic_helper_set_config+0x7a/0xb0 [drm_kms_helper]
 [<ffffffffc00768e2>] drm_mode_set_config_internal+0x62/0x100 [drm]
 [<ffffffffc007a78c>] drm_mode_setcrtc+0x3fc/0x510 [drm]
 [<ffffffffc006b922>] drm_ioctl+0x152/0x540 [drm]
 [<ffffffffc007a390>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
 [<ffffffff8125d4e3>] do_vfs_ioctl+0xa3/0x5d0
 [<ffffffff8125da89>] SyS_ioctl+0x79/0x90
 [<ffffffff810b763e>] ? SyS_rt_sigprocmask+0x8e/0xc0
 [<ffffffff817e0df2>] entry_SYSCALL_64_fastpath+0x1a/0xa4

Potential duplicate: bug 1350278

Comment 1 Heiko Adams 2016-08-14 08:37:17 UTC
Created attachment 1190756 [details]
File: dmesg

Comment 2 Jiri Konecny 2016-10-06 06:47:10 UTC
Description of problem:
I notebook frozen in middle of shutting down. I have to turn it off by force (by holding power button).

Version-Release number of selected component:
kernel-core-4.7.5-200.fc24

Additional info:
reporter:       libreport-2.7.2
cmdline:        BOOT_IMAGE=/vmlinuz-4.7.5-200.fc24.x86_64 root=/dev/mapper/luks-f411e7f8-09e5-49a1-b28c-2ec8f3c585fe ro rd.lvm.lv=fedora_office77/01 rd.luks.uuid=luks-89c00647-1e39-49d6-b116-d7fdff05fd95 rd.lvm.lv=fedora_ThinkPad/02 rd.luks.uuid=luks-f411e7f8-09e5-49a1-b28c-2ec8f3c585fe rhgb quiet LANG=en_US.UTF-8
kernel:         4.7.5-200.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 2251 at drivers/gpu/drm/i915/intel_display.c:12928 intel_atomic_commit+0x13fa/0x1470 [i915]
encoder detached but still enabled on pipe A.
Modules linked in: rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_mangle iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security iptable_mangle ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep btrfs xor raid6_pq loop arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp uvcvideo iTCO_wdt iTCO_vendor_support mei_wdt videobuf2_vmalloc coretemp iwlmvm videobuf2_memops kvm_intel videobuf2_v4l2 videobuf2_core videodev kvm mac80211 snd_hda_codec_realtek
 snd_hda_codec_generic snd_hda_codec_hdmi media irqbypass btusb intel_cstate snd_hda_intel btrtl intel_uncore snd_hda_codec btbcm btintel intel_rapl_perf bluetooth snd_hda_core iwlwifi joydev snd_hwdep snd_seq cfg80211 rtsx_pci_ms snd_seq_device i2c_i801 memstick snd_pcm thinkpad_acpi snd_timer wmi snd rfkill mei_me soundcore shpchp ie31200_edac mei edac_core lpc_ich tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_multipath binfmt_misc xfs libcrc32c dm_crypt hid_cherry i915 rtsx_pci_sdmmc mmc_core crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit drm_kms_helper ghash_clmulni_intel e1000e serio_raw drm ptp rtsx_pci pps_core fjes video
CPU: 2 PID: 2251 Comm: Xorg Not tainted 4.7.5-200.fc24.x86_64 #1
Hardware name: LENOVO 20BFS0W505/20BFS0W505, BIOS GMET66WW (2.14 ) 07/01/2014
 0000000000000286 00000000ca6d62d8 ffff8803dd8b7af0 ffffffff893daaaf
 ffff8803dd8b7b40 0000000000000000 ffff8803dd8b7b30 ffffffff890a0b0b
 0000328000004000 ffff88040848b000 ffff880407b50000 ffff88040848b3a0
Call Trace:
 [<ffffffff893daaaf>] dump_stack+0x63/0x84
 [<ffffffff890a0b0b>] __warn+0xcb/0xf0
 [<ffffffff890a0b8f>] warn_slowpath_fmt+0x5f/0x80
 [<ffffffffc041b6ea>] intel_atomic_commit+0x13fa/0x1470 [i915]
 [<ffffffffc024f6ed>] ? drm_atomic_check_only+0x18d/0x610 [drm]
 [<ffffffffc024f266>] ? drm_atomic_set_crtc_for_connector+0x96/0x100 [drm]
 [<ffffffffc024fba7>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffc03270cd>] drm_atomic_helper_set_config+0x7d/0xb0 [drm_kms_helper]
 [<ffffffffc023e7f5>] drm_mode_set_config_internal+0x65/0x110 [drm]
 [<ffffffffc024308b>] drm_mode_setcrtc+0x47b/0x580 [drm]
 [<ffffffff890ad24b>] ? recalc_sigpending+0x1b/0x50
 [<ffffffffc0234812>] drm_ioctl+0x152/0x540 [drm]
 [<ffffffffc0242c10>] ? drm_mode_setplane+0x1d0/0x1d0 [drm]
 [<ffffffff8925b4b2>] do_vfs_ioctl+0xa2/0x5d0
 [<ffffffff890a64a2>] ? cpu_callback+0x132/0x1f0
 [<ffffffff890ae021>] ? __set_task_blocked+0x41/0xa0
 [<ffffffff8925ba59>] SyS_ioctl+0x79/0x90
 [<ffffffff890b0c9e>] ? SyS_rt_sigprocmask+0x8e/0xc0
 [<ffffffff897ec572>] entry_SYSCALL_64_fastpath+0x1a/0xa4

Comment 3 Fedora End Of Life 2017-07-25 22:25:54 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 16:32:46 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.